package com.ruoyi.web.yh.logImport.domain.enums;

import com.ruoyi.web.yh.logImportDetail.domain.interfaces.ImportContent;
import com.ruoyi.web.yh.price.domain.vo.PriceImportContentVO;
import com.ruoyi.web.yh.prodOrder.domain.vo.ProdOrderImportContentVO;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 导入日志业务类型
 * @author wjh
 * 2024/11/7
 */
@Getter
@AllArgsConstructor
public enum LogImportBizType {

    PRICE("1", "单价", PriceImportContentVO.class),
    PROD_ORDER("2", "生产订单", ProdOrderImportContentVO.class);

    private final String type;
    private final String msg;
    private final Class<? extends ImportContent> contentClazz;  // 导出的类型

    public static LogImportBizType parse(String bizType) {
        for (LogImportBizType value : LogImportBizType.values()) {
            if (value.getType().equals(bizType)) {
                return value;
            }
        }
        return null;
    }
}
