package com.ruoyi.web.yh.report.service.impl;

import com.ruoyi.common.utils.ServiceUtil;
import com.ruoyi.web.yh.report.domain.ReportVO;
import com.ruoyi.web.yh.report.domain.bo.ReportBO;
import com.ruoyi.web.yh.report.domain.enums.ReportStatus;
import com.ruoyi.web.yh.report.service.ReportService;
import com.ruoyi.web.yh.report.service.ReportValidator;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author wjh
 * 2024/11/8
 */
@Service
public class ReportValidatorImpl implements ReportValidator {

    @Autowired
    private ReportService reportService;

    @Override
    public void checkPreEdit(ReportBO bo) {
        ServiceUtil.assertion(bo == null || bo.getReportId() == null, "参数错误");

        ReportVO old = reportService.selectReportByReportId(bo.getReportId());
        ServiceUtil.assertion(old == null || old.getReportId() == null, "待更新的报表不存在");
        ServiceUtil.assertion(!ReportStatus.canEdit().contains(old.getStatus()), "报表当前状态不允许更新，请刷新后重试");

        // TODO 业务表校验
        // TODO 部门是否当前用户可选

        // TODO 工序是否当前用户可选

        // TODO 工序是否当前部门的工序

        // TODO 员工是否当前用户可选

        // TODO 员工是否当前部门的员工

    }
}
